/*
 * SlowArrowHistory.java    
 * Version 2.2
 * 2001/10/17
 * Written by Victor Liu See-le <victor@n-gon.com>
 * Copyright GPL
 */

package TheSlowArrowofBeauty;

import java.util.Vector;
import java.net.URL;

/*
 * class SlowArrowHistory   
 *
 * Vector of history items 
 */
class SlowArrowHistory extends Vector {

    SlowArrowHistory() {
        super();
    }

    SlowArrowHistory(int initial) {
        super(initial);
    }

    SlowArrowHistory(int initial, int inc) {
        super(initial, inc);
    }

    synchronized void add(URL u) {
        String s = u.toString();
        
        if (contains(s)) {
            return;
        }
        if (size() >= 100) {
            removeElementAt(0);
        }
        addElement(s);
    }

    synchronized URL getURL(int i) {
        try {
            return new URL((String) elementAt(i));
        } catch (java.net.MalformedURLException e) {
            System.err.println(e);
            return null;
        }
    }
}
