/*
 * Log.java    
 * Version 2.2
 * 2001/10/17
 * Written by Victor Liu See-le <victor@n-gon.com>
 * Copyright GPL
 */

package TheSlowArrowofBeauty;

import java.io.FileOutputStream;
import java.io.PrintWriter;
import java.io.IOException;

/*
 * class Log    
 *
 * General purpose log to file 
 */
class Log {

    FileOutputStream file;
    private PrintWriter out;

    Log() {
        this("log.txt");
    }    

    Log(String filename) {
        try {
            file = new FileOutputStream(filename);
            out = new PrintWriter(file, true); // Automatic flushing on println()
        } catch (IOException e) {}
    }    

    void print(String s) {
        out.println(s);
    }

    void close() {
        try {
            out.close();
            file.close();
        } catch (IOException e) {}
    }

    protected void finalize() {
        close();
    }
}
