/*
 * SearchEngineResultHint.java    
 * Version 2.2
 * 2001/10/17
 * Written by Victor Liu See-le <victor@n-gon.com>
 * Copyright GPL
 */

package TheSlowArrowofBeauty;

/*
 * class SearchEngineResultHint    
 *
 * Interface to a search engine 
 */
class SearchEngineResultHint {
    public String prefix;
    public String suffix;

    SearchEngineResultHint() {
        super();
    }

    SearchEngineResultHint(String prefix, String suffix) {
        this();
        this.prefix = prefix;
        this.suffix = suffix;
    }

    public boolean equals(Object o) {
        if (o instanceof SearchEngineResultHint) {
            SearchEngineResultHint h = (SearchEngineResultHint) o;

            if (h.prefix == this.prefix && h.suffix == this.suffix) {
                return true;
            }
        }
        return false;
    }
}

